Subject: Re: bug#30432: 26.0.91; freeze when text wrap-prefix exceeds window text width

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Feb 2018 07:15:13 +0200

> From: Paul Rankin <[email-masked]>
> Date: Tue, 13 Feb 2018 12:15:17 +1000
> Cc: [email-masked]
> 
> Sorry I didn't include my system before:
> 
> macOS High Sierra 10.13.3 (17D47)
> MacBook Pro (Retina, 15-inch, Mid 2015)
> Emacs.app built from emacs-26 branch

Yes, I tried the emacs-26 branch as well.  What I reported was from
that branch's build.

> It's definitely a freeze. Emacs becomes unresponsive and needs to be force quit.

Did you try C-g 2 or 3 times?  If so, did it help?

> I can understand that the real-world use case might not make sense to your own use of Emacs, but in the use I described, it means Emacs freezes by just changing the font size... not good.

I agree the result is not good even if Emacs behaves like it does on
my system, which is not a total freeze.  I'll try to see if I can find
some reasonable way out of this situation.